import { storiesOf } from '@storybook/react-native';
import * as React from 'react';

import { StoryScreen, Story, UseCase } from '~/storybook/views';

import { LoginForm } from './login-form';

declare let module;

storiesOf('LoginForm', module)
  .addDecorator((fn) => <StoryScreen>{fn()}</StoryScreen>)
  .add('Style Presets', () => (
    <Story>
      <UseCase text="Default" usage="Default case">
        <LoginForm onLogin={() => null} />
      </UseCase>
      <UseCase text="Loading" usage="Loading case">
        <LoginForm loading onLogin={() => null} />
      </UseCase>
    </Story>
  ));
